Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.swt.internal.layout
Class ECPLayoutProvider

    java.lang.Object
      org.eclipse.emf.ecp.view.spi.swt.layout.AbstractLayoutProvider
          org.eclipse.emf.ecp.view.swt.internal.layout.ECPLayoutProvider

All Implemented Interfaces:
  LayoutProvider

    public class ECPLayoutProvider

extends AbstractLayoutProvider

A default layout provider.

Author:
  Eugen Neufeld

Constructor Summary
`ECPLayoutProvider()`

Method Summary
`org.eclipse.swt.widgets.Layout` | `getColumnLayout(int numColumns, boolean equalWidth)` The Layout for aligning controls vertically in columns.
`Object` | `getLayoutData(SWTGridCell gridCell, SWTGridDescription controlGridDescription, SWTGridDescription currentRowGridDescription, SWTGridDescription fullGridDescription, VElement vElement, org.eclipse.emf.ecore.EObject domainModel, org.eclipse.swt.widgets.Control control)` The LayoutData to use.
`Object` | `getSpanningLayoutData(int spanX, int spanY)` A simple spanning Layout.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPLayoutProvider

    public ECPLayoutProvider()

Method Detail

### getColumnLayout

    public org.eclipse.swt.widgets.Layout getColumnLayout(int numColumns,
                                                          boolean equalWidth)

  Description copied from interface: `LayoutProvider`
  The Layout for aligning controls vertically in columns.

  Parameters:
    `numColumns` - the number of columns to create
    `equalWidth` - whether the columns should be equal width
  Returns:
    the layout to use

### getLayoutData

    public Object getLayoutData(SWTGridCell gridCell,
                                SWTGridDescription controlGridDescription,
                                SWTGridDescription currentRowGridDescription,
                                SWTGridDescription fullGridDescription,
                                VElement vElement,
                                org.eclipse.emf.ecore.EObject domainModel,
                                org.eclipse.swt.widgets.Control control)

  Description copied from interface: `LayoutProvider`
  The LayoutData to use.

  Parameters:
    `gridCell` - the current `SWTGridCell`
    `controlGridDescription` - the `SWTGridDescription` of the rendered `VElement`
    `currentRowGridDescription` - the `SWTGridDescription` of the current row
    `fullGridDescription` - the `SWTGridDescription` of the whole container
    `vElement` - the `VElement` which is currently rendered
    `domainModel` - The domain model object whose feature is currently rendered
    `control` - the rendered `Control`
  Returns:
    the Object being the layout data to set

### getSpanningLayoutData

    public Object getSpanningLayoutData(int spanX,
                                        int spanY)

  Description copied from interface: `LayoutProvider`
  A simple spanning Layout.

  Parameters:
    `spanX` - the horizontal span
    `spanY` - the vertical span
  Returns:
    the created Layout Data

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.